Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 14)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 16)
@@ -107,6 +107,8 @@
 				F523EA2C020CF06A01AEEC37,
 				F5FF50BE02E53B9E01AEEDB1,
+				F5FD788B034828E101AEEDB1,
 			);
 			isa = PBXHeadersBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		103DFC1D016C16650C000109 = {
@@ -117,6 +119,8 @@
 				F523EA2F020CF15B01AEEC37,
 				F5FF50BF02E53B9E01AEEDB1,
+				F5FD788C034828E101AEEDB1,
 			);
 			isa = PBXSourcesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		103DFC1E016C16650C000109 = {
@@ -127,4 +131,5 @@
 			);
 			isa = PBXFrameworksBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		103DFC1F016C16650C000109 = {
@@ -133,4 +138,5 @@
 			);
 			isa = PBXRezBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		103DFC20016C16E20C000109 = {
@@ -153,4 +159,5 @@
 			);
 			isa = PBXCopyFilesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		1058C7A1FEA54F0111CA2CBB = {
@@ -261,4 +268,6 @@
 				F5FF50BC02E53B9E01AEEDB1,
 				F5FF50BD02E53B9E01AEEDB1,
+				F5FD7889034828E101AEEDB1,
+				F5FD788A034828E101AEEDB1,
 			);
 			isa = PBXGroup;
@@ -279,4 +288,6 @@
 				089C165CFE840E0CC02AAC07,
 				F535E67D020CD95201AEEC37,
+				F5694E2702E96FFE01AEEDB1,
+				F57D63160319B6CA01AEEDB1,
 				F523EA29020CEF5001AEEC37,
 				F5680F83020D369A01AEEC37,
@@ -308,5 +319,4 @@
 				F59279FB01FED0C901AEEC37,
 				1058C7A1FEA54F0111CA2CBB,
-				F5EFC2D3020A6D2C01AEEDB1,
 				108927070180B1F40C000084,
 				F5EFC2C3020A6C2601AEEDB1,
@@ -333,4 +343,5 @@
 				LIBRARY_SEARCH_PATHS = "\"$(SRCROOT)/../Darwin source/Commands/Apple/cctools/libstuff\"";
 				OTHER_LDFLAGS = "-multiply_defined suppress -lstuff";
+				PREBINDING = NO;
 				PRODUCT_NAME = "F-Script Anywhere";
 				SECTORDER_FLAGS = "";
@@ -347,6 +358,6 @@
 			productReference = 17587328FF379C6511CA2CBB;
 			productSettingsXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
-<!DOCTYPE plist SYSTEM \"file://localhost/System/Library/DTDs/PropertyList.dtd\">
-<plist version=\"0.9\">
+<!DOCTYPE plist PUBLIC \"-//Apple Computer//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">
+<plist version=\"1.0\">
 <dict>
 	<key>CFBundleDevelopmentRegion</key>
@@ -355,5 +366,5 @@
 	<string>F-Script Anywhere</string>
 	<key>CFBundleGetInfoString</key>
-	<string>F-Script Anywhere 1.1.2, © 2002 Nicholas Riley</string>
+	<string>F-Script Anywhere 1.1.5, © 2002 Nicholas Riley</string>
 	<key>CFBundleIconFile</key>
 	<string>Application icon</string>
@@ -367,9 +378,9 @@
 	<string>APPL</string>
 	<key>CFBundleShortVersionString</key>
-	<string>1.1.2</string>
+	<string>1.1.5</string>
 	<key>CFBundleSignature</key>
 	<string>FSAn</string>
 	<key>CFBundleVersion</key>
-	<string>1.1.2</string>
+	<string>1.1.5</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
@@ -397,4 +408,5 @@
 			);
 			isa = PBXHeadersBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B97328FDCFA39411CA2CEA = {
@@ -407,6 +419,9 @@
 				F5680F7C020D0D0401AEEC37,
 				F5FF50C202E5418F01AEEDB1,
+				F5694E2802E96FFE01AEEDB1,
+				F57D63170319B6CA01AEEDB1,
 			);
 			isa = PBXResourcesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B9732BFDCFA39411CA2CEA = {
@@ -427,4 +442,5 @@
 			);
 			isa = PBXSourcesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B9732CFDCFA39411CA2CEA = {
@@ -441,8 +457,8 @@
 				1058C7A3FEA54F0111CA2CBB,
 				108927080180B1F40C000084,
-				F5EFC2D4020A6D2C01AEEDB1,
 				F5EFC2D5020A6D3701AEEDB1,
 			);
 			isa = PBXFrameworksBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 //290
@@ -471,4 +487,5 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = YES;
+				OTHER_CFLAGS = "-DFSA_DEBUG=0";
 			};
 			isa = PBXBuildStyle;
@@ -557,4 +574,5 @@
 			);
 			isa = PBXCopyFilesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
 		};
 		F52D400402D2C7A501AEEDB1 = {
@@ -638,4 +656,5 @@
 			neededFileNames = (
 			);
+			runOnlyForDeploymentPostprocessing = 1;
 			shellPath = /bin/sh;
 			shellScript = "# Copy various README files into DSTROOT if building a root\n\nif [ z\"${DSTROOT}\" != z\"\" ] ; then\n    rm -f \"${DSTROOT}/Read Me\"\n    tr '\\n' '\\r' < \"Read Me\" > \"${DSTROOT}/Read Me\"\n    cp \"Read Me.rsrc\" \"${DSTROOT}/Read Me/..namedfork/rsrc\"\n    /Developer/Tools/SetFile -t 'ttro' -c 'ttxt' \"${DSTROOT}/Read Me\"\n        \n    # Create Darwin source directory\n    mkdir \"${DSTROOT}/Darwin source\"\n    \n    # Fix permissions so ditto doesn't lock people out\n    chmod -R a+rX,u+w \"${DSTROOT}\"\nfi";
@@ -647,4 +666,15 @@
 			refType = 2;
 		};
+		F5694E2702E96FFE01AEEDB1 = {
+			isa = PBXFileReference;
+			path = "Bullseye menu cursor.tiff";
+			refType = 4;
+		};
+		F5694E2802E96FFE01AEEDB1 = {
+			fileRef = F5694E2702E96FFE01AEEDB1;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
 		F574ADD5020AC10F01AEEDB1 = {
 			isa = PBXFileReference;
@@ -687,4 +717,15 @@
 		F574ADE0020ACCDF01AEEDB1 = {
 			fileRef = F574ADDB020ACAC801AEEDB1;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F57D63160319B6CA01AEEDB1 = {
+			isa = PBXFileReference;
+			path = "Fallback checkmark.tiff";
+			refType = 4;
+		};
+		F57D63170319B6CA01AEEDB1 = {
+			fileRef = F57D63160319B6CA01AEEDB1;
 			isa = PBXBuildFile;
 			settings = {
@@ -771,16 +812,4 @@
 		F5EFC2D2020A6CEC01AEEDB1 = {
 			fileRef = F5EFC2D1020A6CEC01AEEDB1;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		F5EFC2D3020A6D2C01AEEDB1 = {
-			isa = PBXFrameworkReference;
-			name = HIServices.framework;
-			path = /System/Library/PrivateFrameworks/HIServices.framework;
-			refType = 0;
-		};
-		F5EFC2D4020A6D2C01AEEDB1 = {
-			fileRef = F5EFC2D3020A6D2C01AEEDB1;
 			isa = PBXBuildFile;
 			settings = {
@@ -929,4 +958,26 @@
 			};
 		};
+		F5FD7889034828E101AEEDB1 = {
+			isa = PBXFileReference;
+			path = FSAWindowManager.h;
+			refType = 4;
+		};
+		F5FD788A034828E101AEEDB1 = {
+			isa = PBXFileReference;
+			path = FSAWindowManager.m;
+			refType = 4;
+		};
+		F5FD788B034828E101AEEDB1 = {
+			fileRef = F5FD7889034828E101AEEDB1;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F5FD788C034828E101AEEDB1 = {
+			fileRef = F5FD788A034828E101AEEDB1;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
 		F5FF50BC02E53B9E01AEEDB1 = {
 			isa = PBXFileReference;