Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/nicholas.pbxuser	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/nicholas.pbxuser	(revision 19)
@@ -24,16 +24,16 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 55214324;
+			PBXPerProjectTemplateStateSaveDate = 55866266;
 			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
-				ContentSize = "{685, 434}";
+				ContentSize = "{618, 257}";
 				LeftSlideOut = {
 					Collapsed = NO;
-					Frame = "{{0, 23}, {685, 411}}";
+					Frame = "{{0, 23}, {618, 234}}";
 					Split0 = {
 						ActiveTab = 2;
-						Collapsed = NO;
-						Frame = "{{0, 0}, {685, 411}}";
+						Collapsed = YES;
+						Frame = "{{0, 0}, {618, 234}}";
 						Split0 = {
-							Frame = "{{0, 221}, {685, 190}}";
+							Frame = "{{1e+06, 1e+06}, {618, 0}}";
 						};
 						SplitCount = 1;
@@ -81,7 +81,7 @@
 						};
 						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {687, 149}}";
-							BuildTranscriptFrame = "{{0, 158}, {687, 59}}";
-							Frame = "{{0, 0}, {685, 215}}";
+							BuildMessageFrame = "{{0, 0}, {620, 123}}";
+							BuildTranscriptFrame = "{{0, 132}, {620, 98}}";
+							Frame = "{{0, 0}, {618, 228}}";
 						};
 						Tab3 = {
@@ -145,5 +145,248 @@
 				Template = F5314676015831810DCA290F;
 				ToolbarVisible = YES;
-				WindowLocation = "{589, 87}";
+				WindowLocation = "{453, 592}";
+			};
+			"PBXTemplateGeometry-F5534CB2020F3F8A0DCA290F" = {
+				ContentSize = "{594, 303}";
+				LeftSlideOut = {
+					Collapsed = NO;
+					Frame = "{{0, 23}, {594, 280}}";
+					Split0 = {
+						ActiveTab = 1;
+						Collapsed = YES;
+						Frame = "{{0, 0}, {594, 280}}";
+						Split0 = {
+							Frame = "{{1e+06, 1e+06}, {594, 0}}";
+						};
+						SplitCount = 1;
+						Tab0 = {
+							Debugger = {
+								Collapsed = NO;
+								Frame = "{{0, 0}, {804, 321}}";
+								Split0 = {
+									Frame = "{{0, 24}, {804, 297}}";
+									Split0 = {
+										Frame = "{{0, 0}, {394, 297}}";
+									};
+									Split1 = {
+										DebugVariablesTableConfiguration = (
+											Name,
+											123,
+											Value,
+											85,
+											Summary,
+											167.123,
+										);
+										Frame = "{{403, 0}, {401, 297}}";
+									};
+									SplitCount = 2;
+								};
+								SplitCount = 1;
+								Tab0 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								Tab1 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								TabCount = 2;
+								TabsVisible = YES;
+							};
+							Frame = "{{0, 0}, {804, 321}}";
+							LauncherConfigVersion = 7;
+						};
+						Tab1 = {
+							Frame = "{{0, 0}, {594, 274}}";
+							LauncherConfigVersion = 3;
+							Runner = {
+								Frame = "{{0, 0}, {594, 274}}";
+							};
+						};
+						Tab2 = {
+							BuildMessageFrame = "{{0, 0}, {806, 237}}";
+							BuildTranscriptFrame = "{{0, 246}, {806, 3}}";
+							Frame = "{{0, 0}, {804, 247}}";
+						};
+						Tab3 = {
+							Frame = "{{0, 0}, {612, 295}}";
+						};
+						TabCount = 4;
+						TabsVisible = NO;
+					};
+					SplitCount = 1;
+					Tab0 = {
+						Frame = "{{0, 0}, {300, 533}}";
+						GroupTreeTableConfiguration = (
+							TargetStatusColumn,
+							18,
+							MainColumn,
+							267,
+						);
+					};
+					Tab1 = {
+						ClassesFrame = "{{0, 0}, {280, 398}}";
+						ClassesTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXClassColumnIdentifier,
+							237,
+						);
+						Frame = "{{0, 0}, {278, 659}}";
+						MembersFrame = "{{0, 407}, {280, 252}}";
+						MembersTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXMethodColumnIdentifier,
+							236,
+						);
+					};
+					Tab2 = {
+						Frame = "{{0, 0}, {200, 100}}";
+					};
+					Tab3 = {
+						Frame = "{{0, 0}, {200, 386}}";
+						TargetTableConfiguration = (
+							ActiveObject,
+							16,
+							ObjectNames,
+							202.296,
+						);
+					};
+					Tab4 = {
+						BreakpointsTreeTableConfiguration = (
+							breakpointColumn,
+							197,
+							enabledColumn,
+							31,
+						);
+						Frame = "{{0, 0}, {250, 386}}";
+					};
+					TabCount = 5;
+					TabsVisible = NO;
+				};
+				StatusViewVisible = YES;
+				Template = F5534CB2020F3F8A0DCA290F;
+				ToolbarVisible = YES;
+				WindowLocation = "{52, 554}";
+			};
+			"PBXTemplateGeometry-F5CA7EC8015C06940DCA290F" = {
+				ContentSize = "{705, 569}";
+				LeftSlideOut = {
+					Collapsed = NO;
+					Frame = "{{0, 0}, {705, 569}}";
+					Split0 = {
+						Collapsed = NO;
+						Frame = "{{0, 0}, {705, 569}}";
+						Split0 = {
+							Frame = "{{0, 0}, {705, 569}}";
+						};
+						SplitCount = 1;
+						Tab0 = {
+							Debugger = {
+								Collapsed = NO;
+								Frame = "{{0, 0}, {484, 208}}";
+								Split0 = {
+									Frame = "{{0, 24}, {484, 184}}";
+									Split0 = {
+										Frame = "{{0, 0}, {236, 184}}";
+									};
+									Split1 = {
+										DebugVariablesTableConfiguration = (
+											Name,
+											123,
+											Value,
+											85,
+											Summary,
+											62.123,
+										);
+										Frame = "{{245, 0}, {239, 184}}";
+									};
+									SplitCount = 2;
+								};
+								SplitCount = 1;
+								Tab0 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								Tab1 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								TabCount = 2;
+								TabsVisible = YES;
+							};
+							Frame = "{{0, 0}, {484, 208}}";
+							LauncherConfigVersion = 7;
+						};
+						Tab1 = {
+							Frame = "{{0, 0}, {522, 208}}";
+							LauncherConfigVersion = 3;
+							Runner = {
+								Frame = "{{0, 0}, {522, 208}}";
+							};
+						};
+						Tab2 = {
+							BuildMessageFrame = "{{0, 0}, {809, 410}}";
+							BuildTranscriptFrame = "{{0, 419}, {809, 119}}";
+							Frame = "{{0, 0}, {807, 536}}";
+						};
+						Tab3 = {
+							Frame = "{{0, 0}, {612, 295}}";
+						};
+						TabCount = 4;
+						TabsVisible = NO;
+					};
+					SplitCount = 1;
+					Tab0 = {
+						Frame = "{{0, 0}, {300, 533}}";
+						GroupTreeTableConfiguration = (
+							TargetStatusColumn,
+							18,
+							MainColumn,
+							267,
+						);
+					};
+					Tab1 = {
+						ClassesFrame = "{{0, 0}, {280, 398}}";
+						ClassesTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXClassColumnIdentifier,
+							237,
+						);
+						Frame = "{{0, 0}, {278, 659}}";
+						MembersFrame = "{{0, 407}, {280, 252}}";
+						MembersTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXMethodColumnIdentifier,
+							236,
+						);
+					};
+					Tab2 = {
+						Frame = "{{0, 0}, {200, 100}}";
+					};
+					Tab3 = {
+						Frame = "{{0, 0}, {222, 536}}";
+						TargetTableConfiguration = (
+							ActiveObject,
+							16,
+							ObjectNames,
+							202.296,
+						);
+					};
+					Tab4 = {
+						BreakpointsTreeTableConfiguration = (
+							breakpointColumn,
+							197,
+							enabledColumn,
+							31,
+						);
+						Frame = "{{0, 0}, {250, 528}}";
+					};
+					TabCount = 5;
+					TabsVisible = NO;
+				};
+				StatusViewVisible = NO;
+				Template = F5CA7EC8015C06940DCA290F;
+				ToolbarVisible = YES;
+				WindowLocation = "{11, 351}";
 			};
 			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
@@ -266,128 +509,5 @@
 				Template = F5CA7ECB015C094F0DCA290F;
 				ToolbarVisible = NO;
-				WindowLocation = "{489, 236}";
-			};
-			"PBXTemplateGeometry-F5CA7ECC015C09990DCA290F" = {
-				ContentSize = "{773, 558}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {773, 535}}";
-					Split0 = {
-						ActiveTab = 0;
-						Collapsed = NO;
-						Frame = "{{24, 0}, {749, 535}}";
-						Split0 = {
-							Frame = "{{0, 273}, {749, 262}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Debugger = {
-								ActiveTab = 1;
-								Collapsed = NO;
-								Frame = "{{0, 0}, {749, 267}}";
-								Split0 = {
-									Frame = "{{0, 169}, {749, 98}}";
-									Split0 = {
-										Frame = "{{0, 0}, {366, 98}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											93.80298,
-											Value,
-											116.074,
-											Summary,
-											138.123,
-										);
-										Frame = "{{375, 0}, {374, 98}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {749, 145}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {749, 267}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab1 = {
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 208}}";
-							};
-						};
-						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {666, 43}}";
-							BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-							Frame = "{{0, 0}, {664, 50}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 4;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = YES;
-				};
-				StatusViewVisible = YES;
-				Template = F5CA7ECC015C09990DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{13, 212}";
+				WindowLocation = "{48, 349}";
 			};
 			PBXWorkspaceContents = (
@@ -396,26 +516,7 @@
 						Split0 = {
 							Split0 = {
-								NavContent0 = {
-									bookmark = F5486B9D034A85A801AEEDB1;
-									history = (
-										F5486B91034A85A801AEEDB1,
-										F5486B92034A85A801AEEDB1,
-										F5486B93034A85A801AEEDB1,
-										F5486B94034A85A801AEEDB1,
-										F5486B95034A85A801AEEDB1,
-									);
-									prevStack = (
-										F5486B96034A85A801AEEDB1,
-										F5486B97034A85A801AEEDB1,
-										F5486B98034A85A801AEEDB1,
-										F5486B99034A85A801AEEDB1,
-										F5486B9A034A85A801AEEDB1,
-										F5486B9B034A85A801AEEDB1,
-										F5486B9C034A85A801AEEDB1,
-									);
-								};
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {643, 567}}";
+									Frame = "{{0, 0}, {150, 530}}";
 									NavBarVisible = YES;
 								};
@@ -446,52 +547,17 @@
 					};
 				},
-				{
-					LeftSlideOut = {
-						Split0 = {
-							Split0 = {
-								NavCount = 1;
-								NavGeometry0 = {
-									Frame = "{{0, 0}, {594, 150}}";
-									NavBarVisible = YES;
-								};
-							};
-							SplitCount = 1;
-							Tab0 = {
-								Debugger = {
-									Split0 = {
-										SplitCount = 2;
-									};
-									SplitCount = 1;
-									TabCount = 2;
-								};
-								LauncherConfigVersion = 7;
-							};
-							Tab1 = {
-								LauncherConfigVersion = 3;
-								Runner = {
-								};
-							};
-							TabCount = 4;
-						};
-						SplitCount = 1;
-						Tab1 = {
-							OptionsSetName = "Hierarchy, all classes";
-						};
-						TabCount = 5;
-					};
-				},
 			);
 			PBXWorkspaceGeometries = (
 				{
-					ContentSize = "{927, 590}";
+					ContentSize = "{352, 553}";
 					LeftSlideOut = {
 						ActiveTab = 0;
-						Collapsed = NO;
-						Frame = "{{0, 23}, {927, 567}}";
+						Collapsed = YES;
+						Frame = "{{0, 23}, {352, 530}}";
 						Split0 = {
 							Collapsed = NO;
-							Frame = "{{284, 0}, {643, 567}}";
+							Frame = "{{1e+06, 1e+06}, {0, 530}}";
 							Split0 = {
-								Frame = "{{0, 0}, {643, 567}}";
+								Frame = "{{0, 0}, {0, 530}}";
 							};
 							SplitCount = 1;
@@ -499,131 +565,9 @@
 								Debugger = {
 									Collapsed = NO;
-									Frame = "{{0, 0}, {681, 289}}";
+									Frame = "{{0, 0}, {484, 208}}";
 									Split0 = {
-										Frame = "{{0, 24}, {681, 265}}";
+										Frame = "{{0, 24}, {484, 184}}";
 										Split0 = {
-											Frame = "{{0, 0}, {333, 265}}";
-										};
-										Split1 = {
-											DebugVariablesTableConfiguration = (
-												Name,
-												82.80298,
-												Value,
-												104.074,
-												Summary,
-												126.123,
-											);
-											Frame = "{{342, 0}, {339, 265}}";
-										};
-										SplitCount = 2;
-									};
-									SplitCount = 1;
-									Tab0 = {
-										Frame = "{{0, 0}, {100, 50}}";
-									};
-									Tab1 = {
-										Frame = "{{0, 0}, {100, 50}}";
-									};
-									TabCount = 2;
-									TabsVisible = YES;
-								};
-								Frame = "{{0, 0}, {681, 289}}";
-								LauncherConfigVersion = 7;
-							};
-							Tab1 = {
-								Frame = "{{0, 0}, {681, 120}}";
-								LauncherConfigVersion = 3;
-								Runner = {
-									Frame = "{{0, 0}, {681, 120}}";
-								};
-							};
-							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {683, 127}}";
-								BuildTranscriptFrame = "{{0, 136}, {683, 100}}";
-								Frame = "{{0, 0}, {681, 234}}";
-							};
-							Tab3 = {
-								Frame = "{{0, 0}, {681, 238}}";
-							};
-							TabCount = 4;
-							TabsVisible = NO;
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {260, 567}}";
-							GroupTreeTableConfiguration = (
-								TargetStatusColumn,
-								18,
-								MainColumn,
-								227,
-							);
-						};
-						Tab1 = {
-							ClassesFrame = "{{0, 0}, {250, 333}}";
-							ClassesTreeTableConfiguration = (
-								PBXBookColumnIdentifier,
-								20,
-								PBXClassColumnIdentifier,
-								207,
-							);
-							Frame = "{{0, 0}, {248, 554}}";
-							MembersFrame = "{{0, 342}, {250, 212}}";
-							MembersTreeTableConfiguration = (
-								PBXBookColumnIdentifier,
-								20,
-								PBXMethodColumnIdentifier,
-								206,
-							);
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {217, 554}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {239, 554}}";
-							TargetTableConfiguration = (
-								ActiveObject,
-								16,
-								ObjectNames,
-								206.296,
-							);
-						};
-						Tab4 = {
-							BreakpointsTreeTableConfiguration = (
-								breakpointColumn,
-								197,
-								enabledColumn,
-								31,
-							);
-							Frame = "{{0, 0}, {250, 554}}";
-						};
-						TabCount = 5;
-						TabsVisible = YES;
-					};
-					StatusViewVisible = YES;
-					Template = 64ABBB4501FA494900185B06;
-					ToolbarVisible = YES;
-					WindowLocation = "{9, 520}";
-				},
-				{
-					ContentSize = "{594, 303}";
-					LeftSlideOut = {
-						Collapsed = NO;
-						Frame = "{{0, 23}, {594, 280}}";
-						Split0 = {
-							ActiveTab = 1;
-							Collapsed = YES;
-							Frame = "{{0, 0}, {594, 280}}";
-							Split0 = {
-								Frame = "{{1e+06, 1e+06}, {594, 0}}";
-							};
-							SplitCount = 1;
-							Tab0 = {
-								Debugger = {
-									Collapsed = NO;
-									Frame = "{{0, 0}, {804, 321}}";
-									Split0 = {
-										Frame = "{{0, 24}, {804, 297}}";
-										Split0 = {
-											Frame = "{{0, 0}, {394, 297}}";
+											Frame = "{{0, 0}, {236, 184}}";
 										};
 										Split1 = {
@@ -634,7 +578,7 @@
 												85,
 												Summary,
-												167.123,
+												62.123,
 											);
-											Frame = "{{403, 0}, {401, 297}}";
+											Frame = "{{245, 0}, {239, 184}}";
 										};
 										SplitCount = 2;
@@ -650,18 +594,18 @@
 									TabsVisible = YES;
 								};
-								Frame = "{{0, 0}, {804, 321}}";
+								Frame = "{{0, 0}, {484, 208}}";
 								LauncherConfigVersion = 7;
 							};
 							Tab1 = {
-								Frame = "{{0, 0}, {594, 274}}";
+								Frame = "{{0, 0}, {664, 208}}";
 								LauncherConfigVersion = 3;
 								Runner = {
-									Frame = "{{0, 0}, {594, 274}}";
+									Frame = "{{0, 0}, {664, 208}}";
 								};
 							};
 							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {806, 237}}";
-								BuildTranscriptFrame = "{{0, 246}, {806, 3}}";
-								Frame = "{{0, 0}, {804, 247}}";
+								BuildMessageFrame = "{{0, 0}, {666, 43}}";
+								BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
+								Frame = "{{0, 0}, {664, 50}}";
 							};
 							Tab3 = {
@@ -673,39 +617,39 @@
 						SplitCount = 1;
 						Tab0 = {
-							Frame = "{{0, 0}, {300, 533}}";
+							Frame = "{{0, 0}, {328, 530}}";
 							GroupTreeTableConfiguration = (
 								TargetStatusColumn,
 								18,
 								MainColumn,
-								267,
+								295,
 							);
 						};
 						Tab1 = {
-							ClassesFrame = "{{0, 0}, {280, 398}}";
+							ClassesFrame = "{{0, 0}, {343, 348}}";
 							ClassesTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXClassColumnIdentifier,
-								237,
+								300,
 							);
-							Frame = "{{0, 0}, {278, 659}}";
-							MembersFrame = "{{0, 407}, {280, 252}}";
+							Frame = "{{0, 0}, {341, 578}}";
+							MembersFrame = "{{0, 357}, {343, 221}}";
 							MembersTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXMethodColumnIdentifier,
-								236,
+								299,
 							);
 						};
 						Tab2 = {
-							Frame = "{{0, 0}, {200, 100}}";
+							Frame = "{{0, 0}, {319, 576}}";
 						};
 						Tab3 = {
-							Frame = "{{0, 0}, {200, 386}}";
+							Frame = "{{0, 0}, {341, 578}}";
 							TargetTableConfiguration = (
 								ActiveObject,
 								16,
 								ObjectNames,
-								202.296,
+								308.296,
 							);
 						};
@@ -713,35 +657,20 @@
 							BreakpointsTreeTableConfiguration = (
 								breakpointColumn,
-								197,
+								266,
 								enabledColumn,
 								31,
 							);
-							Frame = "{{0, 0}, {250, 386}}";
+							Frame = "{{0, 0}, {319, 576}}";
 						};
 						TabCount = 5;
-						TabsVisible = NO;
+						TabsVisible = YES;
 					};
 					StatusViewVisible = YES;
-					Template = F5534CB2020F3F8A0DCA290F;
+					Template = F5E465990156DFB90DCA290F;
 					ToolbarVisible = YES;
-					WindowLocation = "{4, 633}";
+					WindowLocation = "{12, 563}";
 				},
 			);
-			PBXWorkspaceStateSaveDate = 55214324;
-		};
-		perUserProjectItems = {
-			F5486B91034A85A801AEEDB1 = F5486B91034A85A801AEEDB1;
-			F5486B92034A85A801AEEDB1 = F5486B92034A85A801AEEDB1;
-			F5486B93034A85A801AEEDB1 = F5486B93034A85A801AEEDB1;
-			F5486B94034A85A801AEEDB1 = F5486B94034A85A801AEEDB1;
-			F5486B95034A85A801AEEDB1 = F5486B95034A85A801AEEDB1;
-			F5486B96034A85A801AEEDB1 = F5486B96034A85A801AEEDB1;
-			F5486B97034A85A801AEEDB1 = F5486B97034A85A801AEEDB1;
-			F5486B98034A85A801AEEDB1 = F5486B98034A85A801AEEDB1;
-			F5486B99034A85A801AEEDB1 = F5486B99034A85A801AEEDB1;
-			F5486B9A034A85A801AEEDB1 = F5486B9A034A85A801AEEDB1;
-			F5486B9B034A85A801AEEDB1 = F5486B9B034A85A801AEEDB1;
-			F5486B9C034A85A801AEEDB1 = F5486B9C034A85A801AEEDB1;
-			F5486B9D034A85A801AEEDB1 = F5486B9D034A85A801AEEDB1;
+			PBXWorkspaceStateSaveDate = 55866266;
 		};
 		projectwideBuildSettings = {
@@ -761,134 +690,4 @@
 		lineNumber = 162;
 		state = 2;
-	};
-	F5486B91034A85A801AEEDB1 = {
-		fRef = F5EFC2C9020A6CD101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "DeVercruesseProcess.m: initWithPSN:";
-		rLen = 0;
-		rLoc = 2022;
-		rType = 0;
-		vrLen = 863;
-		vrLoc = 1426;
-	};
-	F5486B92034A85A801AEEDB1 = {
-		fRef = F5FF50BD02E53B9E01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAViewAssociationController.m: __STDC__";
-		rLen = 0;
-		rLoc = 179;
-		rType = 0;
-		vrLen = 1261;
-		vrLoc = 0;
-	};
-	F5486B93034A85A801AEEDB1 = {
-		fRef = F5FD788A034828E101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAWindowManager.m: 270";
-		rLen = 0;
-		rLoc = 8244;
-		rType = 0;
-		vrLen = 1209;
-		vrLoc = 6919;
-	};
-	F5486B94034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: FSA_associateWithInterface:";
-		rLen = 0;
-		rLoc = 8299;
-		rType = 0;
-		vrLen = 1094;
-		vrLoc = 7296;
-	};
-	F5486B95034A85A801AEEDB1 = {
-		fRef = F523EA2B020CF06A01AEEC37;
-		isa = PBXTextBookmark;
-		name = "FSAnywhere.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 319;
-		vrLoc = 0;
-	};
-	F5486B96034A85A801AEEDB1 = {
-		fRef = F5EFC2C9020A6CD101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "DeVercruesseProcess.m: initWithPSN:";
-		rLen = 0;
-		rLoc = 2022;
-		rType = 0;
-		vrLen = 863;
-		vrLoc = 1426;
-	};
-	F5486B97034A85A801AEEDB1 = {
-		fRef = F523EA2B020CF06A01AEEC37;
-		isa = PBXTextBookmark;
-		name = "FSAnywhere.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 319;
-		vrLoc = 0;
-	};
-	F5486B98034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1163;
-		vrLoc = 0;
-	};
-	F5486B99034A85A801AEEDB1 = {
-		fRef = F5FF50BD02E53B9E01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAViewAssociationController.m: __STDC__";
-		rLen = 0;
-		rLoc = 179;
-		rType = 0;
-		vrLen = 1261;
-		vrLoc = 0;
-	};
-	F5486B9A034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: FSA_associateWithInterface:";
-		rLen = 0;
-		rLoc = 8336;
-		rType = 0;
-		vrLen = 1027;
-		vrLoc = 7296;
-	};
-	F5486B9B034A85A801AEEDB1 = {
-		fRef = F5FD788A034828E101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAWindowManager.m: 270";
-		rLen = 0;
-		rLoc = 8244;
-		rType = 0;
-		vrLen = 1209;
-		vrLoc = 6919;
-	};
-	F5486B9C034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: FSA_associateWithInterface:";
-		rLen = 0;
-		rLoc = 8299;
-		rType = 0;
-		vrLen = 1094;
-		vrLoc = 7296;
-	};
-	F5486B9D034A85A801AEEDB1 = {
-		fRef = F523EA2B020CF06A01AEEC37;
-		isa = PBXTextBookmark;
-		name = "FSAnywhere.h: 9";
-		rLen = 0;
-		rLoc = 176;
-		rType = 0;
-		vrLen = 319;
-		vrLoc = 0;
 	};
 	F574ADDB020ACAC801AEEDB1 = {
Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 19)
@@ -366,5 +366,5 @@
 	<string>F-Script Anywhere</string>
 	<key>CFBundleGetInfoString</key>
-	<string>F-Script Anywhere 1.1.5, © 2002 Nicholas Riley</string>
+	<string>F-Script Anywhere 1.1.6d1, © 2002 Nicholas Riley</string>
 	<key>CFBundleIconFile</key>
 	<string>Application icon</string>
@@ -378,9 +378,9 @@
 	<string>APPL</string>
 	<key>CFBundleShortVersionString</key>
-	<string>1.1.5</string>
+	<string>1.1.6d1</string>
 	<key>CFBundleSignature</key>
 	<string>FSAn</string>
 	<key>CFBundleVersion</key>
-	<string>1.1.5</string>
+	<string>1.1.6d1</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>