Index: trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 24)
+++ trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 26)
@@ -6,22 +6,12 @@
 	objectVersion = 38;
 	objects = {
-		080E96DCFE201CFB7F000001 = {
-			fileRef = 29B97318FDCFA39411CA2CEA;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
 		080E96DDFE201D6D7F000001 = {
 			children = (
-				F59DC6D30353C9E601AEEDB1,
-				F59DC6D40353C9E601AEEDB1,
-				F59DC6DB0353DE5101AEEDB1,
-				F59DC6DC0353DE5101AEEDB1,
-				F59DC6E90353F58B01AEEDB1,
-				F59DC6E80353F58B01AEEDB1,
-				F59DC6FC0354188F01AEEDB1,
-				F59DC6FD0354188F01AEEDB1,
-				F59F6CB40354E7DA01AEEDB1,
-				F59F6CB50354E7DA01AEEDB1,
+				F560E2F20357506401A4E466,
+				F560E2F10357506401A4E466,
+				F560E311035787D501A4E466,
+				F560E314035787F901A4E466,
+				F560E312035787E001A4E466,
+				F560E313035787ED01A4E466,
 			);
 			isa = PBXGroup;
@@ -43,10 +33,4 @@
 			path = English.lproj/InfoPlist.strings;
 			refType = 4;
-		};
-		089C165EFE840E0CC02AAC07 = {
-			fileRef = 089C165CFE840E0CC02AAC07;
-			isa = PBXBuildFile;
-			settings = {
-			};
 		};
 //080
@@ -174,7 +158,9 @@
 			children = (
 				29B97318FDCFA39411CA2CEA,
+				F560E2EE03574F8A01A4E466,
+				F59DC6DF0353DF5E01AEEDB1,
 				089C165CFE840E0CC02AAC07,
+				F59DD44F0358ABF4017318D0,
 				F59DC6E30353ED1201AEEDB1,
-				F59DC6DF0353DF5E01AEEDB1,
 			);
 			isa = PBXGroup;
@@ -247,6 +233,6 @@
 			productReference = 17587328FF379C6511CA2CBB;
 			productSettingsXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
-<!DOCTYPE plist PUBLIC \"-//Apple Computer//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">
-<plist version=\"1.0\">
+<!DOCTYPE plist SYSTEM \"file://localhost/System/Library/DTDs/PropertyList.dtd\">
+<plist version=\"0.9\">
 <dict>
 	<key>CFBundleDevelopmentRegion</key>
@@ -255,5 +241,5 @@
 	<string>Pester</string>
 	<key>CFBundleGetInfoString</key>
-	<string>Pester 1.0d2, © 2002 Nicholas Riley</string>
+	<string>Pester 1.0b1, © 2002 Nicholas Riley</string>
 	<key>CFBundleIconFile</key>
 	<string>Application icon</string>
@@ -267,13 +253,13 @@
 	<string>APPL</string>
 	<key>CFBundleShortVersionString</key>
-	<string>1.0d1</string>
+	<string>1.0b1</string>
 	<key>CFBundleSignature</key>
 	<string>Pstr</string>
 	<key>CFBundleVersion</key>
-	<string>1.0d2</string>
+	<string>1.0b1</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
 	<key>NSPrincipalClass</key>
-	<string>NSApplication</string>
+	<string>PSApplication</string>
 </dict>
 </plist>
@@ -289,18 +275,24 @@
 				F59DC6FE0354188F01AEEDB1,
 				F59F6CB60354E7DA01AEEDB1,
+				F517D6410356B80C016D68B9,
+				F517D6450356B8CC016D68B9,
+				F560E2F40357506501A4E466,
+				F560E310035787BC01A4E466,
+				F560E3170357895001A4E466,
+				F5DFBF010357FE8701661E33,
 			);
 			isa = PBXHeadersBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B97328FDCFA39411CA2CEA = {
 			buildActionMask = 2147483647;
 			files = (
-				080E96DCFE201CFB7F000001,
-				089C165EFE840E0CC02AAC07,
 				F59DC6E10353DF5E01AEEDB1,
 				F59DC6E40353ED1201AEEDB1,
+				F560E2F003574F8A01A4E466,
+				F560E2F6035766F101A4E466,
+				F560E2F7035766F201A4E466,
+				F59DD4510358ABF7017318D0,
 			);
 			isa = PBXResourcesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B9732BFDCFA39411CA2CEA = {
@@ -313,7 +305,12 @@
 				F59DC6FF0354188F01AEEDB1,
 				F59F6CB70354E7DA01AEEDB1,
+				F517D6400356B80C016D68B9,
+				F517D6440356B8CC016D68B9,
+				F560E2F30357506401A4E466,
+				F560E30F035787BC01A4E466,
+				F560E3180357895001A4E466,
+				F5DFBF000357FE8701661E33,
 			);
 			isa = PBXSourcesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
 		};
 		29B9732CFDCFA39411CA2CEA = {
@@ -331,5 +328,4 @@
 			);
 			isa = PBXFrameworksBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
 		};
 //290
@@ -372,4 +368,196 @@
 //F53
 //F54
+		F517D63E0356B80C016D68B9 = {
+			isa = PBXFileReference;
+			path = PSAlarmsController.m;
+			refType = 4;
+		};
+		F517D63F0356B80C016D68B9 = {
+			isa = PBXFileReference;
+			path = PSAlarmsController.h;
+			refType = 4;
+		};
+		F517D6400356B80C016D68B9 = {
+			fileRef = F517D63E0356B80C016D68B9;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F517D6410356B80C016D68B9 = {
+			fileRef = F517D63F0356B80C016D68B9;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F517D6420356B8CC016D68B9 = {
+			isa = PBXFileReference;
+			path = PSAlarms.m;
+			refType = 4;
+		};
+		F517D6430356B8CC016D68B9 = {
+			isa = PBXFileReference;
+			path = PSAlarms.h;
+			refType = 4;
+		};
+		F517D6440356B8CC016D68B9 = {
+			fileRef = F517D6420356B8CC016D68B9;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F517D6450356B8CC016D68B9 = {
+			fileRef = F517D6430356B8CC016D68B9;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E2EE03574F8A01A4E466 = {
+			children = (
+				F560E2EF03574F8A01A4E466,
+			);
+			isa = PBXVariantGroup;
+			name = Alarms.nib;
+			path = "";
+			refType = 4;
+		};
+		F560E2EF03574F8A01A4E466 = {
+			isa = PBXFileReference;
+			name = English;
+			path = English.lproj/Alarms.nib;
+			refType = 4;
+		};
+		F560E2F003574F8A01A4E466 = {
+			fileRef = F560E2EE03574F8A01A4E466;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E2F10357506401A4E466 = {
+			isa = PBXFileReference;
+			path = PSApplication.m;
+			refType = 4;
+		};
+		F560E2F20357506401A4E466 = {
+			isa = PBXFileReference;
+			path = PSApplication.h;
+			refType = 4;
+		};
+		F560E2F30357506401A4E466 = {
+			fileRef = F560E2F10357506401A4E466;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E2F40357506501A4E466 = {
+			fileRef = F560E2F20357506401A4E466;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E2F6035766F101A4E466 = {
+			fileRef = 29B97318FDCFA39411CA2CEA;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E2F7035766F201A4E466 = {
+			fileRef = 089C165CFE840E0CC02AAC07;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E30D035787BB01A4E466 = {
+			isa = PBXFileReference;
+			path = "NSTableView-NJRExtensions.m";
+			refType = 4;
+		};
+		F560E30E035787BC01A4E466 = {
+			isa = PBXFileReference;
+			path = "NSTableView-NJRExtensions.h";
+			refType = 4;
+		};
+		F560E30F035787BC01A4E466 = {
+			fileRef = F560E30D035787BB01A4E466;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E310035787BC01A4E466 = {
+			fileRef = F560E30E035787BC01A4E466;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E311035787D501A4E466 = {
+			children = (
+				F517D63F0356B80C016D68B9,
+				F517D63E0356B80C016D68B9,
+				F59DC6D30353C9E601AEEDB1,
+				F59DC6D40353C9E601AEEDB1,
+				F59DC6DB0353DE5101AEEDB1,
+				F59DC6DC0353DE5101AEEDB1,
+			);
+			isa = PBXGroup;
+			name = Controllers;
+			refType = 4;
+		};
+		F560E312035787E001A4E466 = {
+			children = (
+				F59F6CB40354E7DA01AEEDB1,
+				F59F6CB50354E7DA01AEEDB1,
+				F517D6430356B8CC016D68B9,
+				F517D6420356B8CC016D68B9,
+			);
+			isa = PBXGroup;
+			name = Models;
+			refType = 4;
+		};
+		F560E313035787ED01A4E466 = {
+			children = (
+				F59DC6E90353F58B01AEEDB1,
+				F59DC6E80353F58B01AEEDB1,
+				F59DC6FC0354188F01AEEDB1,
+				F59DC6FD0354188F01AEEDB1,
+			);
+			isa = PBXGroup;
+			name = Utilities;
+			refType = 4;
+		};
+		F560E314035787F901A4E466 = {
+			children = (
+				F560E30E035787BC01A4E466,
+				F560E30D035787BB01A4E466,
+				F5DFBEFF0357FE8701661E33,
+				F5DFBEFE0357FE8701661E33,
+				F560E3150357895001A4E466,
+				F560E3160357895001A4E466,
+			);
+			isa = PBXGroup;
+			name = Views;
+			path = "";
+			refType = 4;
+		};
+		F560E3150357895001A4E466 = {
+			isa = PBXFileReference;
+			path = NJRHistoryTrackingComboBox.h;
+			refType = 4;
+		};
+		F560E3160357895001A4E466 = {
+			isa = PBXFileReference;
+			path = NJRHistoryTrackingComboBox.m;
+			refType = 4;
+		};
+		F560E3170357895001A4E466 = {
+			fileRef = F560E3150357895001A4E466;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F560E3180357895001A4E466 = {
+			fileRef = F560E3160357895001A4E466;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
 		F59DC6D30353C9E601AEEDB1 = {
 			isa = PBXFileReference;
@@ -492,4 +680,25 @@
 			};
 		};
+		F59DD44F0358ABF4017318D0 = {
+			children = (
+				F59DD4500358ABF4017318D0,
+			);
+			isa = PBXVariantGroup;
+			name = Credits.html;
+			path = "";
+			refType = 4;
+		};
+		F59DD4500358ABF4017318D0 = {
+			isa = PBXFileReference;
+			name = English;
+			path = English.lproj/Credits.html;
+			refType = 4;
+		};
+		F59DD4510358ABF7017318D0 = {
+			fileRef = F59DD44F0358ABF4017318D0;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
 		F59F6CB40354E7DA01AEEDB1 = {
 			isa = PBXFileReference;
@@ -510,4 +719,28 @@
 		F59F6CB70354E7DA01AEEDB1 = {
 			fileRef = F59F6CB50354E7DA01AEEDB1;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F5DFBEFE0357FE8701661E33 = {
+			isa = PBXFileReference;
+			name = NJRScrollView.m;
+			path = "/Users/nicholas/Documents/Development/Cocoa/FSA-movedaside/Source/NJRScrollView.m";
+			refType = 0;
+		};
+		F5DFBEFF0357FE8701661E33 = {
+			isa = PBXFileReference;
+			name = NJRScrollView.h;
+			path = "/Users/nicholas/Documents/Development/Cocoa/FSA-movedaside/Source/NJRScrollView.h";
+			refType = 0;
+		};
+		F5DFBF000357FE8701661E33 = {
+			fileRef = F5DFBEFE0357FE8701661E33;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		F5DFBF010357FE8701661E33 = {
+			fileRef = F5DFBEFF0357FE8701661E33;
 			isa = PBXBuildFile;
 			settings = {